[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSingleHelper.MaxValue

Largest possible value for the Single floating point type

## Declaration

Source position: syshelph.inc line 219

`public const TSingleHelper.MaxValue: Single = 340282346638528859811704183484516925440.0;`

## Description

MaxValue is the largest possible value that can be represented by the Single floating point type. For bigger values, Double or Extended types must be used.

## See also

TSingleHelper.MinValue |  | Smallest (negative) possible value for the Single floating point type
TSingleHelper.Epsilon |  | Precision for this floating point type